Subject: Re: [JDBC]
From: Peter Mount <[email-masked]>
To: "Dax Duskin" <[email-masked]>
Date: Mon, 12 Mar 2001 20:04:27 +0000

At 10:52 12/03/01 -0600, Dax Duskin wrote:
>Thanks Peter!
>
>How do I unset my classpath?  I'm not sure what you mean.

Under unix, use:

unset CLASSPATH

same for Windows. Basically you are removing any reference to CLASSPATH to 
the shell you are running Ant or more precisely Javac under.

It's an old problem that has occured since I started with JDBC some 3 1/2 
years ago. Javac gets confused with some of the class names.

Peter

>Thanks.
>
>Dax Duskin
>
>
>
>
>
>Peter Mount <[email-masked]> on 03/12/2001 09:36:31 AM
>
>To:   Dax Duskin/Evanston/ZSAssociates@ZSAssociates, [email-masked]
>cc:
>
>Subject:  Re: [JDBC]
>
>
>
>At 11:09 08/03/01 -0600, Dax Duskin wrote:
>
> >Hello all.
> >
> >I was hoping someone could help me with the following:
> >
> >I am trying to install jdbc and I am having some trouble.  I am using the
> >Linux-Mandrake Distribution (7.2).
> >
> >First I installed the postgresql-jdbc rpm, but I couldn't find my
> >postgresql.jar
> >file anywhere (that's supposed to happen right?).  Stumped I copied the 
> source
> >code into my /opt directory.
> >
> >I entered the directory /src/interfaces/jdbc.
> >I typed make jdbc2 jar and received this error:
> >
> >org/postgresql/Connection.java:1: error:Cannot find type
> >"org/postgresql/Field"
>
>unset you CLASSPATH and try again. A common problem.
>
>Peter
>
>I tried a number of things.  I tried building jdbc1 as well.  and I tried
> >building postgresql myself without using rpms. no luck.  There are 4 jar 
> files
> >in my /var/lib/pgsql directory.  jdbc-(versionnum)-.jar  I tried compiling
> >a few
> >java programs using these, but i wasn't able to locate the driver when the
> >programs were run.  What are those 4 jars used for anyway?
>
>One for each type of JVM. Place the one your your JVM version (and only
>one) into your CLASSPATH then try running with it.
>
>PS: In Java you don't compile against a .jar file, you just use it. In fact
>in 90% of use, you don't need the .jar file to be present to compile.
>
>Peter
>
>
> >Thanks in advance.
> >Dax Duskin
> >
> >
> >
> >
> >
> >---------------------------(end of broadcast)---------------------------
> >TIP 6: Have you searched our list archives?
> >
> >http://www.postgresql.org/search.mpl
>
>
>---------------------------(end of broadcast)---------------------------
>TIP 6: Have you searched our list archives?
>
>http://www.postgresql.org/search.mpl